Get an occurrence
Gets a specific occurrence.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules/{scheduleID}/occurrences/{occurrenceFilter}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.01.00"mc, _ := moov.NewClient()
var accountID string
var scheduleID string
var filter func() string
mc.GetScheduleOccurrence(ctx, accountID, scheduleID, filter)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.scheduling.getOccurrance({
accountID: "ea12b5d5-6249-4af2-ae48-6141a5251090",
scheduleID: "289e94cd-66f1-4df5-999f-46d0f40b4ce9",
occurrenceFilter: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->scheduling->getOccurrence(
accountID: 'ea12b5d5-6249-4af2-ae48-6141a5251090',
scheduleID: '289e94cd-66f1-4df5-999f-46d0f40b4ce9',
occurrenceFilter: '<value>'
);
if ($response->occurrencesResponse !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetScheduledOccurrenceResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetScheduledOccurrenceResponse res = sdk.scheduling().getOccurrance()
.accountID("ea12b5d5-6249-4af2-ae48-6141a5251090")
.scheduleID("289e94cd-66f1-4df5-999f-46d0f40b4ce9")
.occurrenceFilter("<value>")
.call();
if (res.occurrencesResponse().isPresent()) {
System.out.println(res.occurrencesResponse().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.scheduling.get_occurrance(account_id="ea12b5d5-6249-4af2-ae48-6141a5251090", schedule_id="289e94cd-66f1-4df5-999f-46d0f40b4ce9", occurrence_filter="<value>")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.scheduling.get_occurrance(account_id: 'ea12b5d5-6249-4af2-ae48-6141a5251090', schedule_id: '289e94cd-66f1-4df5-999f-46d0f40b4ce9', occurrence_filter: '<value>')
unless res.occurrences_response.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Scheduling.GetOccurranceAsync(
accountID: "ea12b5d5-6249-4af2-ae48-6141a5251090",
scheduleID: "289e94cd-66f1-4df5-999f-46d0f40b4ce9",
occurrenceFilter: "<value>"
);
// handle response{
"scheduleID": "string",
"occurrenceID": "string",
"mode": "production",
"generated": true,
"indefinite": true,
"canceledOn": "2019-08-24T14:15:22Z",
"runOn": "2019-08-24T14:15:22Z",
"runTransfer": {
"amount": {
"currency": "USD",
"value": 1204
},
"salesTaxAmount": {
"currency": "USD",
"value": 1204
},
"destination": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"source": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"description": "string",
"lineItems": {
"items": [
{
"name": "string",
"basePrice": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"quantity": 1,
"options": [
{
"name": "string",
"quantity": 1,
"priceModifier": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"group": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
],
"productID": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
]
}
},
"ranOn": "2019-08-24T14:15:22Z",
"ranTransferID": "string",
"status": "pending",
"error": {
"message": "string"
}
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
v2026.01.00
Path parameters
accountID
string
required
scheduleID
string
required
occurrenceFilter
string
required
Allows the specification of additional filters beyond the string.
Specifying a string returns the exact occurrence.
Specifying a RFC 3339 timestamp returns the latest occurrence at or before that timestamp.
Specifying latest returns the latest occurrence at or before now.
Response
runOn
string<date-time>
required
runTransfer
object
required
Show child attributes
amount
object
required
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
description
string
required
destination
object
required
Show child attributes
paymentMethodID
string
required
achDetails
object
Show child attributes
companyEntryDescription
string
[4 to 10] characters
originatingCompanyName
string
[4 to 16] characters
cardDetails
object
Show child attributes
dynamicDescriptor
string
[4 to 22] characters
partnerAccountID
string
required
source
object
required
Show child attributes
paymentMethodID
string
required
achDetails
object
Show child attributes
companyEntryDescription
string
[4 to 10] characters
originatingCompanyName
string
[4 to 16] characters
cardDetails
object
Show child attributes
dynamicDescriptor
string
[4 to 22] characters
lineItems
object
Show child attributes
items
array<object>
required
Show child attributes
basePrice
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
images
array<object>
Show child attributes
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
options
array<object>
Show child attributes
group
string
<=100 characters
images
array<object>
Show child attributes
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
priceModifier
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
quantity
integer<int32>
productID
string
quantity
integer<int32>
salesTaxAmount
object
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
canceledOn
string<date-time>
error
object
Show child attributes
message
string
generated
boolean
indefinite
boolean
mode
string
sandbox,
production
occurrenceID
string
ranOn
string<date-time>
ranTransferID
string
scheduleID
string
status
string<enum>
pending,
failed,
completed